validDetails              package:grid              R Documentation

Customising grid grob Validation

Description:

     This generic hook function is called whenever a grid grob is
     created or edited via 'grob', 'gTree', 'grid.edit' or 'editGrob'.
     This provides an opportunity for customising the validation of a
     new class derived from grob (or gTree).

Usage:

     validDetails(x)

Arguments:

       x: A grid grob. 

Details:

     This function is called by 'grob', 'gTree', 'grid.edit' and
     'editGrob'. A method should be written for classes derived from
     grob or gTree to validate the values of slots specific to the new
     class. (e.g., see 'grid:::validDetails.axis').

     Note that the standard slots for grobs and gTrees are
     automatically validated (e.g., 'vp', 'gp' slots for grobs and, in
     addition, 'children', and 'childrenvp' slots for gTrees) so only
     slots specific to a new class need to be addressed.

Value:

     The function MUST return the validated grob.

Author(s):

     Paul Murrell

See Also:

     'grid.edit'

